Name:           nmh
Version:        1.5
Release:        1
Summary:        A capable mail handling system with a command line interface.
Group:          Applications/Internet
License:        BSD
URL:            http://savannah.nongnu.org/projects/nmh
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-%{version}.tar.gz.sig
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: libiconv >= 1.14-2
BuildRequires: readline-devel >= 5.2-3
Requires: libiconv >= 1.14-2
Requires: readline >= 5.2-3

%description
Nmh is an email system based on the MH email system and is intended to
be a (mostly) compatible drop-in replacement for MH.  Nmh isn't a
single comprehensive program.  Instead, it consists of a number of
fairly simple single-purpose programs for sending, receiving, saving,
retrieving and otherwise manipulating email messages.  You can freely
intersperse nmh commands with other shell commands or write custom
scripts which utilize nmh commands.  If you want to use nmh as a true
email user agent, you'll want to also install exmh to provide a user
interface for it--nmh only has a command line interface.


%prep
%setup -q
%patch0


%build
export CC="cc -qcpluscmt"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --libdir=%{_libdir}/%{name} \
    --sysconfdir=/etc/nmh \
    --with-locking=fcntl \
    --enable-pop
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :
/usr/bin/strip ${RPM_BUILD_ROOT}%{_libdir}/%{name}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/linux/bin
cd usr/linux/bin
ln -sf ../../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc docs/COMPLETION-* docs/DIFFERENCES docs/FAQ docs/MAIL.FILTERING VERSION
%doc docs/TODO docs/README* COPYRIGHT
%{_bindir}/*
%dir /etc/nmh
%config(noreplace) /etc/nmh/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_mandir}/man?/*
/usr/linux/bin/*


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Thu Oct 28 2010 Michael Perzl <michael@perzl.org> - 1.3-1
- first version for AIX V5.1 and higher
